#
######################################################
#
#  SaVi by Lloyd Wood (lloydwood@users.sourceforge.net),
#          Patrick Worfolk (worfolk@alum.mit.edu) and
#          Robert Thurman.
#
#  Copyright (c) 1997 by The Geometry Center.
#  Also Copyright (c) 2006 by Lloyd Wood.
#
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained from:
#  http://savi.sourceforge.net/
#  http://www.geom.uiuc.edu/locate/SaVi
#
######################################################
#
# geomview.tcl
#
# $Id: geomview.tcl,v 1.3 2006/09/20 21:24:36 lloydwood Exp $

proc geomview(new_camera) {} {

  geomview(puts) "(new-camera Camera)"
}

proc geomview(camera_north_pole) {} {

    geomview(camera_position) 0 0 3
}

proc geomview(camera_south_pole) {} {

    geomview(camera_position) 0 0 -3
}


proc geomview(camera_position) {x y z} {

    geomview(begin)

    geomview(puts) "(geometry A { QUAD 0 0 0  0 0 0  0 0 0  0 0 0  })"
    geomview(puts) "(geometry B { QUAD 0 0 0  0 0 0  0 0 0  0 0 0  })"

    geomview(puts) "(transform A g0 g0 translate $x $y $z)"
    geomview(puts) "(position-at c0 A)"
    geomview(puts) "(position-at c0 A)"
    geomview(puts) "(look-toward B c0)"

    geomview(puts) "(delete A)"
    geomview(puts) "(delete B)"

    geomview(end)
}

proc geomview(begin) {} {

    satellites GV_BEGIN
}

proc geomview(end) {} {

    satellites GV_END
}

proc geomview(puts) v {

    satellites GV_SEND $v
}
